//
// MoonCanvas.h
// Draw the moon and related info.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#ifndef MOONCANVAS_H
#define MOONCANVAS_H

#include "SkyCanvas.h"

class QImage;
class Crater;

class MoonCanvas : public SkyCanvas
{
    Q_OBJECT
public:
    MoonCanvas( QWidget *parent=0, const char *name=0 );
    virtual ~MoonCanvas();

    void Init();

    void ToggleMirrored();

    virtual void Paint();

public slots:

signals:

protected:
    int moonRadius;
    int moonCenterX, moonCenterY;
    QImage* moonImg;
    int mMirrored;
    int mCraterNum;

    void PaintCrater(Crater* crater);
    void mouseReleaseEvent(QMouseEvent *event);

    QSize minimumSizeHint() const;
};

#endif // MOONCANVAS_H
